summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_node_health_check.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-20 19:29:36 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-20 19:29:36 +0200
commit414349a1679d0f3b49c90732f066ea28dfdda107 (patch)
tree1dfee7d08d28e512e1d2d98d966f1121c2ba4523 /bin/reproducible_node_health_check.sh
parenteeb01c66aea4768f673e0ba34a5c498c0ace4014 (diff)
downloadjenkins.debian.net-414349a1679d0f3b49c90732f066ea28dfdda107.tar.xz
reproducible Debian: add check for hanging mounts
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_node_health_check.sh')
-rwxr-xr-xbin/reproducible_node_health_check.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index ea4266dd..2e13f4d7 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -75,6 +75,16 @@ elif [ "$(readlink /run/shm)" != "/dev/shm" ] ; then
fi
#
+# check for hanging mounts
+#
+echo "$(date -u) - testing whether running 'mount' takes forever..."
+TIMEOUT=$(timeout 15 mount)
+if [ $TIMEOUT -ne 0 ] ; then
+ echo "$(date -u) - running 'mount' takes forever, giving up."
+ exit 1
+fi
+
+#
# check for correct MTU
#
echo "$(date -u) - testing whether the network interfaces MTU is 1500..."